# Uses of Class
org.apache.qpid.proton.engine.impl.SessionImpl

Packages that use SessionImpl
Package
Description
org.apache.qpid.proton.engine.impl

## Uses of SessionImpl in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return SessionImpl
Modifier and Type
Method
Description
`SessionImpl`
LinkImpl.`getSession()`
`SessionImpl`
ConnectionImpl.`session()`
Methods in org.apache.qpid.proton.engine.impl that return types with arguments of type SessionImpl
Modifier and Type
Method
Description
`protected org.apache.qpid.proton.engine.impl.LinkNode<SessionImpl>`
ConnectionImpl.`addSessionEndpoint(SessionImpl endpoint)`
Methods in org.apache.qpid.proton.engine.impl with parameters of type SessionImpl
Modifier and Type
Method
Description
`protected org.apache.qpid.proton.engine.impl.LinkNode<SessionImpl>`
ConnectionImpl.`addSessionEndpoint(SessionImpl endpoint)`